# Get sensor

Get a sensor on id

Endpoint: GET /sensor/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `sensor` (object)

  - `sensor.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `sensor.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `sensor.uuid` (string, required)

  - `sensor.primaryPlatformId` (string, required)

  - `sensor.createdAt` (string)
    The date and time this Entity has been created

  - `sensor.updatedAt` (string)
    The date and time this Entity has been updated

  - `sensor.language` (object)
    circular reference

  - `sensor.platforms` (array)

  - `sensor.name` (string)

  - `sensor.identifiers` (array)

  - `sensor.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `sensor.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `sensor.identifiers.uuid` (string, required)

  - `sensor.identifiers.primaryPlatformId` (string, required)

  - `sensor.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `sensor.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `sensor.identifiers.language` (object)
    circular reference

  - `sensor.identifiers.name` (string)

  - `sensor.identifiers.system` (string)

  - `sensor.identifiers.value` (string)

  - `sensor.identifiers.expiredAt` (string)

  - `sensor.externalAttributes` (object)

  - `sensor.placement` (string)
    Sometimes more than one sensor can be associated with a single entity. This is the case e.g. in cooled trailers that are divided into compartments with different temperatures, where each compartment has its own sensor. The placement member can be used to identify where a sensor is placed. Parties using OpenTripModel to exchange sensor data may wish to agree on a standardized naming, but this is too specific to describe in the standard.

  - `sensor.type` (string)
    Type of the sensor, e.g. temperature, speed, etc.
    Example: "temperature"

  - `sensor.constraints` (array)

  - `sensor.lastValueEvent` (object)

  - `sensor.lastValueEvent.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `sensor.lastValueEvent.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `sensor.lastValueEvent.uuid` (string, required)

  - `sensor.lastValueEvent.primaryPlatformId` (string, required)

  - `sensor.lastValueEvent.createdAt` (string)
    The date and time this Entity has been created

  - `sensor.lastValueEvent.updatedAt` (string)
    The date and time this Entity has been updated

  - `sensor.lastValueEvent.language` (object)
    circular reference

  - `sensor.lastValueEvent.type` (string)
    Enum: "generalEvent", "sensorUpdateEvent", "gateInEvent", "gateOutEvent", "arrivalEvent", "departureEvent", "stopEngineEvent", "startEngineEvent", "startWaitingEvent", "stopWaitingEvent", "stopMovingEvent", "startMovingEvent", "locationUpdateEvent", "updateEvent", "associationRemovedEvent", "associationCreatedEvent", "capacityChangeEvent"

  - `sensor.lastValueEvent.lifeCycle` (string)
    Enum: "requested", "planned", "projected", "actual", "realized"

  - `sensor.lastValueEvent.externalAttributes` (object)

  - `sensor.lastValueEvent.identifiers` (array)

  - `sensor.lastValueEvent.dateTime` (string)

  - `sensor.lastValueEvent.sensor` (object)
    circular reference

  - `sensor.lastValueEvent.value` (object, required)

  - `sensor.lastValueEvent.value.value` (string)

  - `sensor.lastValueEvent.value.unit` (string)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


